spec.taper {stats} | R Documentation

## Taper a Time Series by a Cosine Bell

### Description

Apply a cosine-bell taper to a time series.

### Usage

    spec.taper(x, p = 0.1)

### Arguments

`x` | A univariate or multivariate time series
`p` | The total proportion to be tapered, either a scalar or a vector of the length of the number of series.

### Details

The cosine-bell taper is applied to the first and last `p[i]/2` observations of time series `x[, i]`.

### Value

A new time series object.

### Note

From package MASS.

### Author(s)

Kurt Hornik, B.D. Ripley

### See Also

`spec.pgram`, `cpgram`

[Package stats version 2.1.1 Index]